Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002645TestLinkAPI - XMLRPCpublic2009-06-22 14:542010-05-01 20:28
Reportertphd 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9 Beta 4 
Summary0002645: New method GetTestsuitesforTestsuite
DescriptionThis method would be very handy to replicate the treestructure in an api client.
Additional InformationWhen using coded test in a generic api client yo can place the source files in the same kind of directory structure.
If you would have access to the tree structure of testsuites it can be read, and the execution engine then knows where to find the source for the tests that are created in testlink.
Also it makes it possible to autocreate the testcases when a new source file is created.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespatch file icon get_testsuites_for_testsuite.patch [^] (2,257 bytes) 2010-03-28 19:08 [Show Content]

- Relationships
parent of 0003296closedfman Please add an API call to get test suites other than first-level ones 

-  Notes
(0009560)
austvik (reporter)
2010-03-28 19:09
edited on: 2010-03-28 22:11

Patch which implements wanted function attached.

(0009563)
fman (administrator)
2010-03-28 23:07
edited on: 2010-03-28 23:10

code on patch reviewed.
new method on api will be as suggested


- Issue History
Date Modified Username Field Change
2009-06-22 14:54 tphd New Issue
2010-03-17 23:40 amitkhullar Relationship added parent of 0003296
2010-03-28 19:08 austvik File Added: get_testsuites_for_testsuite.patch
2010-03-28 19:09 austvik Note Added: 0009560
2010-03-28 22:11 fman Note Edited: 0009560
2010-03-28 22:11 fman Status new => assigned
2010-03-28 22:11 fman Assigned To => fman
2010-03-28 23:07 fman Note Added: 0009563
2010-03-28 23:10 fman Note Edited: 0009563
2010-03-28 23:30 fman Status assigned => resolved
2010-03-28 23:30 fman Fixed in Version => 1.9 Beta 4 (Next public build)
2010-03-28 23:30 fman Resolution open => fixed
2010-05-01 20:28 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker